FROM golang:1.24-bullseye

# Installer ffmpeg, curl, unrar-free (et optionnellement p7zip-full pour un support d'archives plus large) et air
RUN apt-get update && \
    apt-get install -y \
      ffmpeg \
      curl \
      unrar-free \
      p7zip-full \
    && curl -sSfL https://raw.githubusercontent.com/cosmtrek/air/master/install.sh \
         | sh -s -- -b /usr/local/bin \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY go.mod go.sum ./
RUN go mod download

COPY . .

# Lancer Air avec le bon chemin
CMD ["air", "-c", ".air.toml"]
